Subject: Towards consensus on draft-ietf-6man-uri-zoneid

From: Ole Trøan <[email-masked]>
Date: Tue, 14 Aug 2012 16:41:21 +0200

all,

I fully accept that there are no perfect solution to this problem.
given that we are were we are...
it appears there is consensus building around Stuart's proposal.

that entails:
 - encode '%' as "%25"
 - advocate that URI parsers are forgiving about accepting bare '%'
   i.e. a '%' not followed by two valid hex characters is left untouched
 - no update to RFC4007
 - no new delimiter
 - interface names may themselves have to escaped (non-roman or [] characters)

please reply to the list if you support or disagree with the proposal _and_
have additional arguments for discussion.
(there is no need to reply with "+1" or "-1" without arguments.)

Best regards,
Ole

---

From: Kerry Lynn <[email-masked]>
Date: Tue, 14 Aug 2012 11:49:24 -0400

>    i.e. a '%' not followed by two valid hex characters is left untouched

+1.

My recollection was that the room rejected changes to RFC 4007
that involved including a new delimiter (thus taking a pure "cut and
paste" solution off the table).  I don't recall that clarifications to RFC
4007 to restrict the character set of zone identifiers <zone_id> was
discussed at length or voted on.

 - interface names may themselves have to escaped (non-roman or []
> characters)
>
> It may be that restricting the character set of <zone_id> at this point
may cause as many problems for existing tools like ping6 as adding
a new delimiter; still, I'd like to hear some discussion on Brian's
proposal to update RFC 4007 in conjunction with this draft.

Also, the minutes should reflect that my thanks (and I suspect that I
speak for others) also extend to Brian for taking on this task.  My exact
words were "... an illustration that no good deed goes unpunished".

Regards, -K-

> --------------------------------------------------------------------
> IETF IPv6 working group mailing list
> [email-masked]
> Administrative Requests: https://www.ietf.org/mailman/listinfo/ipv6
> --------------------------------------------------------------------
>
>